import 'bash.dart';
import 'dns.dart';
import 'groups.dart';
import 'proxies.dart';
import 'rules.dart';
import 'tun.dart';

class AppConfig {
  final BasicConfig basicConfig;
  final DNSConfig dnsConfig;
  final TunConfig tunConfig;
  final List<ProxyConfig> proxies;
  final List<ProxyGroup> proxyGroups;
  final List<Rule> rules;

  AppConfig({
    required this.basicConfig,
    required this.dnsConfig,
    required this.proxies,
    required this.proxyGroups,
    required this.rules,
    required this.tunConfig,
  });

// 解析整个配置文件的方法
}
